Get a sub account Run in API Explorer
Ask AI
GET
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "c44c10a8-0691-4d30-9ece-0709638d6685",
"created_at": "2026-08-19T09:59:03+01:00",
"updated_at": "2026-08-19T09:59:03+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "41e9e421-cc5f-42a3-a424-82fd81dc112f",
"created_at": "2026-08-19T09:59:03+01:00",
"updated_at": "2026-08-19T09:59:03+01:00",
"valued_at": "2026-08-19T09:59:03+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "8ee8c9af-6a54-4407-904b-84e6b49c6d21",
"created_at": "2026-08-19T09:59:10+01:00",
"updated_at": "2026-08-19T09:59:10+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "0ff50f20-f69c-459b-b5cd-4b056adebf88",
"created_at": "2026-08-19T09:59:03+01:00",
"updated_at": "2026-08-19T09:59:03+01:00",
"is_proposed": true,
"proposed_at": "2026-08-19T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}